diff --git a/inventory/group_vars/osbs-masters-stg b/inventory/group_vars/osbs-masters-stg
index 1af11ff..adde983 100644
--- a/inventory/group_vars/osbs-masters-stg
+++ b/inventory/group_vars/osbs-masters-stg
@@ -49,13 +49,21 @@ osbs_conf_worker_clusters:
     max_concurrent_builds: 2
     openshift_url: "https://osbs.stg.fedoraproject.org/"
     verify_ssl: 'false'
-
+  aarch64:
+  - name: aarch64
+    max_concurrent_builds: 1
+    openshift_url: "https://osbs.stg.fedoraproject.org/"
+    verify_ssl: 'false'
 
 osbs_platform_descriptors:
 - platform: x86_64
   architecture: amd64
   enable_v1: True
 
+- platform: aarch64
+  architecture: aarch64
+  enable_v1: True
+
 _osbs_reactor_config_map:
     version: 1
 
@@ -63,6 +71,9 @@ _osbs_reactor_config_map:
       x86_64:
       - name: "x86_64"
         max_concurrent_builds: 2
+      aarch64:
+      - name: "aarch64"
+        max_concurrent_builds: 1
 
     clusters_client_config_dir: "/var/run/secrets/atomic-reactor/client-config-secret"
 
diff --git a/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org b/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org
index b663b90..9e8b6aa 100644
--- a/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org
+++ b/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org
@@ -1,14 +1,14 @@
 ---
 nm: 255.255.255.0
-gw: 10.5.128.254
+gw: 10.5.129.254
 dns: 10.5.126.21
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-28-osbs
-ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/x86_64/os/
-volgroup: /dev/vg_guests
-eth0_ip: 10.5.128.161
-vmhost: virthost04.stg.phx2.fedoraproject.org
+ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-aarch64-28-osbs
+ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/aarch64/os/
+volgroup: /dev/vg_Server
+eth0_ip: 10.5.129.30
+vmhost: aarch64-c23n1.arm.fedoraproject.org
 datacenter: phx2
-host_group: osbs-stg
+host_group: osbs-aarch64-masters-stg
 
 nrpe_procs_warn: 900
 nrpe_procs_crit: 1000
diff --git a/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org b/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org
index 7e0cc6a..0c91343 100644
--- a/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org
+++ b/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org
@@ -1,14 +1,14 @@
 ---
 nm: 255.255.255.0
-gw: 10.5.128.254
+gw: 10.5.129.254
 dns: 10.5.126.21
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-28-osbs
-ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/x86_64/os/
-volgroup: /dev/vg_guests
-eth0_ip: 10.5.128.162
-vmhost: virthost04.stg.phx2.fedoraproject.org
+ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-aarch64-28-osbs
+ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/aarch64/os/
+volgroup: /dev/vg_Server
+eth0_ip: 10.5.129.31
+vmhost: aarch64-c24n1.arm.fedoraproject.org
 datacenter: phx2
-host_group: osbs-nodes-stg
+host_group: osbs-aarch64-nodes-stg
 
 nrpe_procs_warn: 900
 nrpe_procs_crit: 1000
